package org.gcube.accounting.aggregator.persistence;

import java.util.Calendar;
import java.util.List;
import java.util.SortedMap;
import java.util.SortedSet;

import org.gcube.accounting.analytics.Filter;
import org.gcube.accounting.analytics.Info;
import org.gcube.accounting.analytics.NumberedFilter;
import org.gcube.accounting.analytics.TemporalConstraint;
import org.gcube.accounting.analytics.UsageValue;
import org.gcube.accounting.analytics.exception.DuplicatedKeyFilterException;
import org.gcube.accounting.analytics.exception.KeyException;
import org.gcube.accounting.analytics.exception.ValueException;
import org.gcube.accounting.analytics.persistence.AccountingPersistenceBackendQueryConfiguration;
import org.gcube.accounting.persistence.AccountingPersistenceConfiguration;
import org.gcube.documentstore.persistence.PersistencePostgreSQL;
import org.gcube.documentstore.records.AggregatedRecord;
import org.gcube.documentstore.records.Record;

/**
 * @author Luca Frosini (ISTI-CNR)
 */
public class PostgreSQLConnectorDst implements AggregatorPersistenceDst {

	protected PersistencePostgreSQL persistencePostgreSQL;
	
	protected PostgreSQLConnectorDst() throws Exception {
		AccountingPersistenceConfiguration accountingPersistenceConfiguration = new AccountingPersistenceConfiguration(PersistencePostgreSQL.class);
		persistencePostgreSQL = new PersistencePostgreSQL();
		persistencePostgreSQL.prepareConnection(accountingPersistenceConfiguration);
	}

	@Override
	public void insert(Record record) throws Exception {
		persistencePostgreSQL.insert(record);
	}

	@Override
	public void commitAndClose() throws Exception {
		persistencePostgreSQL.commitAndClose();
	}

}
